curl https://api.crewship.dev/v1/threads/thr_xyz789abc \
-H "Authorization: Bearer YOUR_API_KEY"
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": {"messages": [{"role": "user", "content": "Hello"}]},
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:40:00Z"
}
Threads
Get Thread
Get thread details
GET
/
v1
/
threads
/
{id}
curl https://api.crewship.dev/v1/threads/thr_xyz789abc \
-H "Authorization: Bearer YOUR_API_KEY"
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": {"messages": [{"role": "user", "content": "Hello"}]},
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:40:00Z"
}
Path Parameters
string
required
Thread ID
Response
string
Thread ID
string
Deployment ID
string
Thread status:
idle, busy, interrupted, errorobject
Current thread state
object
User-defined metadata
curl https://api.crewship.dev/v1/threads/thr_xyz789abc \
-H "Authorization: Bearer YOUR_API_KEY"
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": {"messages": [{"role": "user", "content": "Hello"}]},
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:40:00Z"
}